Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 336361 - media-video/ogmrip: ebuilds for plugins
Summary: media-video/ogmrip: ebuilds for plugins
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 2 votes (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 15:00 UTC by José Romildo Malaquias
Modified: 2013-05-20 15:26 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ogmrip-0.13.6.ebuild (ogmrip-0.13.6.ebuild,2.21 KB, text/plain)
2010-09-13 20:18 UTC, Olivier Rolland
Details
ogmrip-ac3-0.2.ebuild (ogmrip-ac3-0.2.ebuild,743 bytes, text/plain)
2010-10-16 15:57 UTC, Olivier Rolland
Details
ogmrip-dirac-0.1.ebuild (ogmrip-dirac-0.1.ebuild,808 bytes, text/plain)
2010-10-16 15:58 UTC, Olivier Rolland
Details
ogmrip-mpeg-0.2.ebuild (ogmrip-mpeg-0.2.ebuild,1.04 KB, text/plain)
2010-10-16 15:58 UTC, Olivier Rolland
Details
ogmrip-flac-0.1.ebuild (ogmrip-flac-0.1.ebuild,739 bytes, text/plain)
2010-10-16 15:58 UTC, Olivier Rolland
Details
ogmrip-oggz-0.2.ebuild (ogmrip-oggz-0.2.ebuild,747 bytes, text/plain)
2010-10-16 15:59 UTC, Olivier Rolland
Details
ogmrip-plugins-0.1.ebuild (ogmrip-plugins-0.1.ebuild,527 bytes, text/plain)
2010-10-16 16:00 UTC, Olivier Rolland
Details
ogmrip-mpeg-0.2.ebuild (ogmrip-mpeg-0.2.ebuild,872 bytes, text/plain)
2010-10-18 08:39 UTC, Olivier Rolland
Details
ogmrip-0.13.6.ebuild (ogmrip-0.13.6.ebuild,2.21 KB, text/plain)
2010-10-18 08:45 UTC, Olivier Rolland
Details
ogmrip-0.13.6.ebuild (ogmrip-0.13.6.ebuild,2.22 KB, text/plain)
2010-10-18 08:45 UTC, Olivier Rolland
Details
ogmrip-0.13.6.ebuild (ogmrip-0.13.6.ebuild,2.22 KB, text/plain)
2010-10-18 17:33 UTC, waynedpj
Details
ogmrip/ogmrip-0.13.6.ebuild (ogmrip-0.13.6.ebuild,2.23 KB, text/plain)
2010-10-18 21:10 UTC, Olivier Rolland
Details
updated ebuild for working with ogmrip-svn as well as ogmrip. (ogmrip-ac3-0.2-r1.ebuild,786 bytes, text/plain)
2011-02-16 10:52 UTC, waynedpj
Details
updated ebuild for working with ogmrip-svn as well as ogmrip. (ogmrip-dirac-0.1-r1.ebuild,852 bytes, text/plain)
2011-02-16 10:52 UTC, waynedpj
Details
updated ebuild for working with ogmrip-svn as well as ogmrip. (ogmrip-flac-0.1-r1.ebuild,783 bytes, text/plain)
2011-02-16 10:53 UTC, waynedpj
Details
updated ebuild for working with ogmrip-svn as well as ogmrip. (ogmrip-mpeg-0.2-r1.ebuild,967 bytes, text/plain)
2011-02-16 10:53 UTC, waynedpj
Details
updated ebuild for working with ogmrip-svn as well as ogmrip. (ogmrip-oggz-0.2-r1.ebuild,791 bytes, text/plain)
2011-02-16 10:54 UTC, waynedpj
Details

Note You need to log in before you can comment on or make changes to this bug.
Description José Romildo Malaquias 2010-09-07 15:00:59 UTC
ogmrip-0.13.6 has already been released. Please, update portage.
Comment 1 Olivier Rolland 2010-09-13 20:18:16 UTC
Created attachment 247173 [details]
ogmrip-0.13.6.ebuild
Comment 2 waynedpj 2010-10-16 15:53:57 UTC
first, thanks for the ebuild, hope to see it in portage soon.

  just wondering if there is way to have the OGMRip plugins installed (e.g. Dirac) via USE flags, or perhaps a separate ebuild?

thanks again.
Comment 3 Olivier Rolland 2010-10-16 15:57:40 UTC
Created attachment 250879 [details]
ogmrip-ac3-0.2.ebuild

The ebuild for the AC3 plugin.
Comment 4 Olivier Rolland 2010-10-16 15:58:06 UTC
Created attachment 250881 [details]
ogmrip-dirac-0.1.ebuild

The ebuild for the Dirac plugin.
Comment 5 Olivier Rolland 2010-10-16 15:58:33 UTC
Created attachment 250883 [details]
ogmrip-mpeg-0.2.ebuild

The ebuild for the MPEG plugin.
Comment 6 Olivier Rolland 2010-10-16 15:58:54 UTC
Created attachment 250885 [details]
ogmrip-flac-0.1.ebuild

The ebuild for the Flac plugin.
Comment 7 Olivier Rolland 2010-10-16 15:59:16 UTC
Created attachment 250887 [details]
ogmrip-oggz-0.2.ebuild

The ebuild for the OGG plugin.
Comment 8 Olivier Rolland 2010-10-16 16:00:01 UTC
Created attachment 250889 [details]
ogmrip-plugins-0.1.ebuild

A meta ebuild for OGMRip plugins.
Comment 9 waynedpj 2010-10-17 19:20:19 UTC
(In reply to comment #8)
> Created an attachment (id=250889) [details]
> ogmrip-plugins-0.1.ebuild
> 
> A meta ebuild for OGMRip plugins.
> 

wow, thanks a bunch o bunch!  this is a big help, and a motivation to try to learn how to write an ebuild ;)  i just tried to install them, and all seem to be working except for the ogmrip-mpeg plugin and the ogmrip-plugins.  please remember, i am no Gentoo/ebuild expert, so i may be missing something simple.  however,  when trying to emerge ogmrip-mpeg individually, i get the following error:

>>> Emerging (1 of 1) media-video/ogmrip-mpeg-0.2 from unknown repo
 * ogmrip-mpeg-0.2.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                   [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                        [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                       [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                      [ ok ]
 * CPV:  media-video/ogmrip-mpeg-0.2
 * REPO: 
 * USE:  amd64 elibc_glibc gtk kernel_linux multilib userland_GNU vobsub
/usr/local/portage/media-video/ogmrip-mpeg/ogmrip-mpeg-0.2.ebuild: line 30: built_with_use: command not found
 * Please check that your USE flags contain 'png'
 * and emerge ogmrip again.
 * ERROR: media-video/ogmrip-mpeg-0.2 failed:
 *   OGMRip is missing required USE flags (see above for details).
 * 
 * Call stack:
 *                ebuild.sh, line  54:  Called pkg_setup
 *   ogmrip-mpeg-0.2.ebuild, line  33:  Called die
 * The specific snippet of code:
 *   		die "OGMRip is missing required USE flags (see above for details)."
 * 
 * If you need support, post the output of 'emerge --info =media-video/ogmrip-mpeg-0.2',
 * the complete build log and the output of 'emerge -pqv =media-video/ogmrip-mpeg-0.2'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/log/portage/media-video:ogmrip-mpeg-0.2:20101017-191421.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/ogmrip-mpeg-0.2/temp/die.env'.
 * S: '/var/tmp/portage/media-video/ogmrip-mpeg-0.2/work/ogmrip-mpeg-0.2'

>>> Failed to emerge media-video/ogmrip-mpeg-0.2, Log file:

>>>  '/var/log/portage/media-video:ogmrip-mpeg-0.2:20101017-191421.log'

unfortunately, OGMRip has no png USE flag.

  also, when trying to emerge ogmrip-plugins, i get this error also involving ogmrip-mpeg:

# emerge -av ogmrip-plugins 

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=media-plugins/ogmrip-mpeg-0.2".
(dependency required by "media-video/ogmrip-plugins-0.1" [ebuild])
(dependency required by "ogmrip-plugins" [argument])

i have done the manifests and what i normally do for local ebuilds, and no luck yet.

  thanks again so much for doing this.

peace, w
Comment 10 Olivier Rolland 2010-10-18 08:39:35 UTC
Created attachment 251097 [details]
ogmrip-mpeg-0.2.ebuild
Comment 11 waynedpj 2010-10-18 08:43:57 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Created an attachment (id=250889) [details] [details]
> > ogmrip-plugins-0.1.ebuild
> > 
> > A meta ebuild for OGMRip plugins.
> > 
> 
> wow, thanks a bunch o bunch!  this is a big help, and a motivation to try to
> learn how to write an ebuild ;)  i just tried to install them, and all seem to
> be working except for the ogmrip-mpeg plugin and the ogmrip-plugins.  please
> remember, i am no Gentoo/ebuild expert, so i may be missing something simple. 
> however,  when trying to emerge ogmrip-mpeg individually, i get the following
> error:
> 
> >>> Emerging (1 of 1) media-video/ogmrip-mpeg-0.2 from unknown repo
>  * ogmrip-mpeg-0.2.tar.gz RMD160 SHA1 SHA256 size ;-) ...                      
>                                                                                
>             [ ok ]
>  * checking ebuild checksums ;-) ...                                           
>                                                                                
>             [ ok ]
>  * checking auxfile checksums ;-) ...                                          
>                                                                                
>             [ ok ]
>  * checking miscfile checksums ;-) ...                                         
>                                                                                
>             [ ok ]
>  * CPV:  media-video/ogmrip-mpeg-0.2
>  * REPO: 
>  * USE:  amd64 elibc_glibc gtk kernel_linux multilib userland_GNU vobsub
> /usr/local/portage/media-video/ogmrip-mpeg/ogmrip-mpeg-0.2.ebuild: line 30:
> built_with_use: command not found
>  * Please check that your USE flags contain 'png'
>  * and emerge ogmrip again.
>  * ERROR: media-video/ogmrip-mpeg-0.2 failed:
>  *   OGMRip is missing required USE flags (see above for details).
>  * 
>  * Call stack:
>  *                ebuild.sh, line  54:  Called pkg_setup
>  *   ogmrip-mpeg-0.2.ebuild, line  33:  Called die
>  * The specific snippet of code:
>  *              die "OGMRip is missing required USE flags (see above for
> details)."
>  * 
>  * If you need support, post the output of 'emerge --info
> =media-video/ogmrip-mpeg-0.2',
>  * the complete build log and the output of 'emerge -pqv
> =media-video/ogmrip-mpeg-0.2'.
>  * This ebuild is from an overlay: '/usr/local/portage/'
>  * The complete build log is located at
> '/var/log/portage/media-video:ogmrip-mpeg-0.2:20101017-191421.log'.
>  * The ebuild environment file is located at
> '/var/tmp/portage/media-video/ogmrip-mpeg-0.2/temp/die.env'.
>  * S: '/var/tmp/portage/media-video/ogmrip-mpeg-0.2/work/ogmrip-mpeg-0.2'
> 
> >>> Failed to emerge media-video/ogmrip-mpeg-0.2, Log file:
> 
> >>>  '/var/log/portage/media-video:ogmrip-mpeg-0.2:20101017-191421.log'
> 
> unfortunately, OGMRip has no png USE flag.
> 
>   also, when trying to emerge ogmrip-plugins, i get this error also involving
> ogmrip-mpeg:
> 
> # emerge -av ogmrip-plugins 
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> 
> emerge: there are no ebuilds to satisfy ">=media-plugins/ogmrip-mpeg-0.2".
> (dependency required by "media-video/ogmrip-plugins-0.1" [ebuild])
> (dependency required by "ogmrip-plugins" [argument])
> 
> i have done the manifests and what i normally do for local ebuilds, and no luck
> yet.
> 
>   thanks again so much for doing this.
> 
> peace, w
> 

OK, i apologize.  i made a silly mistake and put the plugin ebuilds in
media-video instead of media-plugins.  not sure why some worked and some did
not since they were all in the correct place.  however, using the
ogmrip-plugins ebuild seems to install correctly.

  thanks again and sorry for the false alarm.

peace
Comment 12 Olivier Rolland 2010-10-18 08:45:08 UTC
Created attachment 251099 [details]
ogmrip-0.13.6.ebuild
Comment 13 Olivier Rolland 2010-10-18 08:45:46 UTC
Created attachment 251101 [details]
ogmrip-0.13.6.ebuild
Comment 14 waynedpj 2010-10-18 17:10:50 UTC
(In reply to comment #13)
> Created an attachment (id=251101) [details]
> ogmrip-0.13.6.ebuild
> 

thanks for the updates.  again, taken with a large grain on salt, i am getting the following error upon trying to make a manifest file for the new ogmrip-0.13.6.ebuild:

# ebuild ogmrip-0.13.6.ebuild manifest 
Error(s) in metadata for 'media-video/ogmrip-0.13.6':
  DEPEND: >=dev-libs/glib-2.16:2 >=app-i18n/enca-1.9 dev-libs/libxml2 media-libs/libdvdread >=media-video/mplayer-1.0_rc2[dvd,encode,xvid?,dts?,x264?] aac? ( >=media-libs/faac-1.24 ) gtk? ( >=x11-libs/gtk+-2.12:2 gnome-base/libglade gnome-base/gconf dbus? ( dev-libs/dbus-glib ) libnotify? ( >=x11-libs/libnotify-0.4.3 ) media-video/mplayer[jpeg] ) matroska? ( media-video/mkvtoolnix ) mp3? ( media-sound/lame ) mp4? ( >=media-video/gpac-0.4.2 ) ogm? ( media-sound/ogmtools ) png? ( media-libs/libpng ) spell? ( >=app-text/enchant-1.1.0 ) srt? ( >=app-text/tesseract-2 media-libs/tiff ) >=app-text/gocr-0.39 >=app-text/ocrad-0.15 ) theora? ( media-libs/libtheora ) vorbis? ( media-sound/vorbis-tools ) nls? ( sys-devel/gettext dev-util/intltool ) dev-util/pkgconfig >=sys-apps/sed-4
    invalid atom: ' theora? ( media-libs/libtheora ) vorbis? ( media-sound/vorbis-tools ) nls? ( sys-devel/gettext dev-util/intltool ) dev-util/pkgconfig >=sys-apps/sed-4'
  RDEPEND: >=dev-libs/glib-2.16:2 >=app-i18n/enca-1.9 dev-libs/libxml2 media-libs/libdvdread >=media-video/mplayer-1.0_rc2[dvd,encode,xvid?,dts?,x264?] aac? ( >=media-libs/faac-1.24 ) gtk? ( >=x11-libs/gtk+-2.12:2 gnome-base/libglade gnome-base/gconf dbus? ( dev-libs/dbus-glib ) libnotify? ( >=x11-libs/libnotify-0.4.3 ) media-video/mplayer[jpeg] ) matroska? ( media-video/mkvtoolnix ) mp3? ( media-sound/lame ) mp4? ( >=media-video/gpac-0.4.2 ) ogm? ( media-sound/ogmtools ) png? ( media-libs/libpng ) spell? ( >=app-text/enchant-1.1.0 ) srt? ( >=app-text/tesseract-2 media-libs/tiff ) >=app-text/gocr-0.39 >=app-text/ocrad-0.15 ) theora? ( media-libs/libtheora ) vorbis? ( media-sound/vorbis-tools ) gnome-base/gvfs
    invalid atom: ' theora? ( media-libs/libtheora ) vorbis? ( media-sound/vorbis-tools ) gnome-base/gvfs'

so i removed what looked like an extra ")" on the srt? line in COMMON_DEPEND in the ebuild file, and it seems to be working now.  i will try to attach the new ebuild here.

thanks again.
Comment 15 waynedpj 2010-10-18 17:33:47 UTC
Created attachment 251145 [details]
ogmrip-0.13.6.ebuild

i was having problems making the manifest for the previous ebuild, so i removed what looked like an extra ")" on the "srt?" line in COMMON_DEPEND in the ebuild file, and it seems to be working now.  hope this helps, and did not screw something up ;)

thanks again.
Comment 16 Olivier Rolland 2010-10-18 21:10:43 UTC
Created attachment 251183 [details]
ogmrip/ogmrip-0.13.6.ebuild
Comment 17 Hanno Böck gentoo-dev 2010-12-06 23:49:01 UTC
I've done the bump, but not added the plugins as I don't need them, maybe others will pick this up.
Comment 18 waynedpj 2011-02-16 10:52:28 UTC
Created attachment 262699 [details]
updated ebuild for working with ogmrip-svn as well as ogmrip.

updated ebuild for working with ogmrip-svn as well as ogmrip.

see

http://ogmrip.sourceforge.net/ebuilds/ogmrip-svn-9999.ebuild
Comment 19 waynedpj 2011-02-16 10:52:59 UTC
Created attachment 262701 [details]
updated ebuild for working with ogmrip-svn as well as ogmrip.

updated ebuild for working with ogmrip-svn as well as ogmrip.

see

http://ogmrip.sourceforge.net/ebuilds/ogmrip-svn-9999.ebuild
Comment 20 waynedpj 2011-02-16 10:53:21 UTC
Created attachment 262703 [details]
updated ebuild for working with ogmrip-svn as well as ogmrip.

updated ebuild for working with ogmrip-svn as well as ogmrip.

see

http://ogmrip.sourceforge.net/ebuilds/ogmrip-svn-9999.ebuild
Comment 21 waynedpj 2011-02-16 10:53:51 UTC
Created attachment 262705 [details]
updated ebuild for working with ogmrip-svn as well as ogmrip.

updated ebuild for working with ogmrip-svn as well as ogmrip.

see

http://ogmrip.sourceforge.net/ebuilds/ogmrip-svn-9999.ebuild
Comment 22 waynedpj 2011-02-16 10:54:09 UTC
Created attachment 262707 [details]
updated ebuild for working with ogmrip-svn as well as ogmrip.

updated ebuild for working with ogmrip-svn as well as ogmrip.

see

http://ogmrip.sourceforge.net/ebuilds/ogmrip-svn-9999.ebuild
Comment 23 jannis 2012-03-26 10:03:50 UTC
Any updates on this? The VP8-plugin that can be found in the git tree (http://ogmrip.git.sourceforge.net/git/gitweb.cgi?p=ogmrip/ogmrip;a=tree;f=plugins;h=4fd3bfa91a58ce3090c2adef57f4ffc9b81bba2b;hb=HEAD) would be very useful :D